Package org.silverpeas.mobile.shared.dto.survey

## Class SurveyDetailDTO

- java.lang.Object
- - org.silverpeas.mobile.shared.dto.survey.SurveyDetailDTO

- All Implemented Interfaces:
    `Serializable`

      public class SurveyDetailDTO
      extends Object
      implements Serializable

  Author:
    svu
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SurveyDetailDTO()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getComments()` |
    `String` | `getId()` |
    `int` | `getNbParticipation()` |
    `List<QuestionDTO>` | `getQuestions()` |
    `boolean` | `isAnonymComment()` |
    `boolean` | `isCanParticipate()` |
    `void` | `setAnonymComment​(boolean anonymComment)` |
    `void` | `setCanParticipate​(boolean canParticipate)` |
    `void` | `setComments​(String text)` |
    `void` | `setId​(String id)` |
    `void` | `setNbParticipation​(int nbParticipation)` |
    `void` | `setQuestions​(List<QuestionDTO> questions)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SurveyDetailDTO

          public SurveyDetailDTO()

  - ### Method Detail

    - #### getQuestions

          public List<QuestionDTO> getQuestions()

    - #### getId

          public String getId()

    - #### setId

          public void setId​(String id)

    - #### setComments

          public void setComments​(String text)

    - #### getComments

          public String getComments()

    - #### isAnonymComment

          public boolean isAnonymComment()

    - #### setAnonymComment

          public void setAnonymComment​(boolean anonymComment)

    - #### isCanParticipate

          public boolean isCanParticipate()

    - #### setCanParticipate

          public void setCanParticipate​(boolean canParticipate)

    - #### getNbParticipation

          public int getNbParticipation()

    - #### setNbParticipation

          public void setNbParticipation​(int nbParticipation)

    - #### setQuestions

          public void setQuestions​(List<QuestionDTO> questions)